﻿// using System;
// using System.Threading;
// using System.Threading.Tasks;
// using AutoMapper;
// using InternshipSystem.Core;
// using InternshipSystem.Core.Entity;
// using InternshipSystem.Repository;
// using Microsoft.AspNetCore.Mvc;
//
// namespace InternshipSystem.Api.Controllers
// {
//     public class ReportFieldsController : ControllerBase
//     {
//         private readonly InternshipDbContext _context;
//         private readonly IMapper _mapper;
//
//         public ReportFieldsController(InternshipDbContext context, IMapper mapper)
//         {
//             _context = context;
//             _mapper = mapper;
//         }
//         
//         public async Task<ActionResult> CreateField(FieldCreateRequest request, CancellationToken ct)
//         {
//             ReportField field;
//
//             switch (request.FieldType)
//             {
//                 case FieldType.LongText:
//                 case FieldType.ShortText:
//                     field = new ReportField(request.Label, request.LabelEng, request.Description, request.DescriptionEng, request.FieldType);
//                     break;
//                 case FieldType.Select:
//                 case FieldType.Radial:
//                 case FieldType.Checkbox:
//                     field = new ReportChoiceField(request.Label, request.LabelEng, request.Description, request.DescriptionEng, request.FieldType, request.Choices);
//                     break;
//                 default:
//                     return BadRequest("Unknown field type");
//             }
//
//             try
//             {
//                 await _context.ReportFields.AddAsync(field, ct);
//             }
//             catch (Exception e)
//             {
//                 return BadRequest("Failed");
//             }
//
//             return Ok();
//         }
//     }
//
//     public class FieldCreateRequest
//     {
//         public string Label { get; set; }
//         public string LabelEng { get; set; }
//         public string Description { get; set; }
//         public string DescriptionEng { get; set; }
//         public FieldType FieldType { get; set; }
//         public string[] Choices { get; set; }
//     }
// }